package com.malk.pro.zyjn.controller;


import com.malk.server.common.McR;
import com.malk.pro.zyjn.service.TongbuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/tongbuservice")
@CrossOrigin//解决跨域问题
public class TongbuController {

    @Autowired
    private TongbuService tongbuService;

    //宜搭创建会议纪要后同步创建钉钉日程
    @PostMapping("createRicheng")
    public McR createRicheng(String data, String formInstId){

        McR richeng = tongbuService.createRicheng(data, formInstId);
        return richeng;
    }

    //宜搭删除会议纪要后同步删除钉钉日程
    @PostMapping("deleteRicheng")
    public McR deleteRicheng(String formInstId, String createUserId, String dingdingRichengID){

        McR richeng = tongbuService.deleteRicheng(formInstId, createUserId, dingdingRichengID);
        return richeng;
    }
}
